clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::RenameParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::RenameParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The document that was opened. More...
Position | position
| The position at which this request was sent. More...
std::string | newName
| The new name of the symbol. More...

## Detailed Description

Definition at line 959 of file Protocol.h.

## Member Data Documentation

## ◆ newName

std::string clang::clangd::RenameParams::newName

The new name of the symbol.

Definition at line 967 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ position

Position clang::clangd::RenameParams::position

The position at which this request was sent.

Definition at line 964 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ textDocument

TextDocumentIdentifier clang::clangd::RenameParams::textDocument

The document that was opened.

Definition at line 961 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h